x_min = -20
x_max = +20
y_min = -14
y_max = +14

if( F ){
    ##postscript('../../WriteUp/Graphics/Chapter2/sect_2_prob_1_part_a_N_b.eps', onefile=FALSE, horizontal=FALSE)

    par(mfrow=c(1, 2))

    ## Part (a):
    ##
    plot(1, type='n', xlab='x', ylab='y', xlim=c(x_min, x_max), ylim=c(y_min, y_max))
    abline(v=1)
    abline(v=0, col='black') ## draw in the X-Y axis
    abline(h=0, col='black')
    x = c(         1,         1, x_max*1.1, x_max*1.1)
    y = c( y_max*1.1, y_min*1.1, y_min*1.1, y_max*1.1)
    polygon(x, y, col='gray')
    grid()
    title('Part (a)')
    
    ## Part (b):
    ##
    plot(1, type='n', xlab='x', ylab='y', xlim=c(x_min, x_max), ylim=c(y_min, y_max) )
    abline(v=c(-1, 4))
    abline(v=0, col='black') ## draw in the X-Y axis
    abline(h=0, col='black')
    x = c(        -1,        -1,         4,         4)
    y = c( y_max*1.1, y_min*1.1, y_min*1.1, y_max*1.1)
    polygon(x, y, col='gray')
    grid()
    title('Part (b)')

    ##dev.off()

    par(mfrow=c(1, 1))
}


if( F ){
    ##postscript('../../WriteUp/Graphics/Chapter2/sect_2_prob_1_part_c_N_d.eps', onefile=FALSE, horizontal=FALSE)

    par(mfrow=c(1, 2))

    ## Part (c):
    ##
    x = seq(x_min, x_max, length=100)
    y = 10 - (5/7) * x
    plot(x, y, type='l', xlab='x', ylab='y', xlim=c(x_min, x_max), ylim=c(y_min, y_max))
    abline(v=0, col='black') ## draw in the X-Y axis
    abline(h=0, col='black')
    x = c(             x_min*1.1,            x_max*1.1,             x_max*1.1)
    y = c(10 - (5/7) * x_min*1.1, 10 - (5/7)*x_min*1.1, 10 - (5/7) *x_max*1.1)
    polygon(x, y, col='gray')
    grid()
    title('Part (c)')

    ## Part (d):
    ##
    x = seq(x_min, x_max, length=100)
    y = x/3 - 1/3
    plot(x, y, type='l', xlab='x', ylab='y', xlim=c(x_min, x_max), ylim=c(y_min, y_max))
    abline(v=0, col='black') ## draw in the X-Y axis
    abline(h=0, col='black')
    x = c(         0,         0,         x_max*1.1, x_max*1.1)
    y = c( y_min*1.1, 0/3 - 1/3, x_max*1.1/3 - 1/3, y_min*1.1)
    polygon(x, y, col='gray')
    grid()
    title('Part (d)')

    ##dev.off()
    
    par(mfrow=c(1, 1))
}


if( T ){
    ##postscript('../../WriteUp/Graphics/Chapter2/sect_2_prob_1_part_e.eps', onefile=FALSE, horizontal=FALSE)
    
    par(mfrow=c(1, 1))
    
    ## Part (e):
    ##
    x = seq(x_min, x_max, length=100)
    y1 = 3 - (3/2)*x
    plot(x, y1, type='l', xlab='x', ylab='y', xlim=c(x_min, x_max), ylim=c(y_min, y_max))
    y2 = x-1
    lines(x, y2, type='l', xlab='x', ylab='y', xlim=c(x_min, x_max), ylim=c(y_min, y_max))
    abline(v=-1)
    abline(v=0, col='black') ## draw in the X-Y axis
    abline(h=0, col='black')
    x = c(       -1, -1, 8/5,           x_max*1.1)
    y = c(y_min*1.1, -2, 3/5, 3 - (3/2)*x_max*1.1)
    polygon(x, y, col='gray')
    grid()
    title('Part (e)')

    ##dev.off()
    
    par(mfrow=c(1, 1))
}
