##postscript('../../WriteUp/Graphics/Chapter2/sect_4_prob_10.eps', onefile=FALSE, horizontal=FALSE)

R = 39

x_min = -R-1
x_max = +R+1

y_min = -R-1
y_max = +R+1

plot(1, type='n', xlab='x', ylab='y', xlim=c(x_min, x_max), ylim=c(y_min, y_max))
abline(v=0, col='black') ## draw in the X-Y axis
abline(h=0, col='black')
abline(v=15, col='red')

xs = seq(-R, +R, length.out=100)
y_upper = sqrt(R^2 - xs^2)
y_lower = -y_upper
lines(xs, y_upper, 'l', col='green')
lines(xs, y_lower, 'l', col='green')

## Plot the location of the optimal point as a dot:
##
x_star = 15
y_star = -36
points(x_star, y_star, col='black', pch=19)

## Plot level sets of f(x, y) = 3 y - x:
##
k0 = 45; abline(a=k0/3, b=1/2, col='black')
grid()

##dev.off()
