##postscript('../../WriteUp/Graphics/Chapter2/sect_4_prob_2_1_to_3.eps', onefile=FALSE, horizontal=FALSE)

x_min = -5
x_max = +5

y_min = -5
y_max = +5

n = 10

op = par(mfrow=c(1, 3))

x = seq(x_min, x_max, length.out=n)
y = seq(y_min, y_max, length.out=n)
z = t(do.call('rbind', replicate(n, x, simplify=FALSE)))
contour(x, y, z, main='x', xlim=c(x_min, x_max), ylim=c(y_min, y_max))
abline(v=0, col='gray') ## draw in the X-Y axis
abline(h=0, col='gray')
grid()

x = seq(x_min, x_max, length.out=n)
y = seq(y_min, y_max, length.out=n)
z = outer(2*x, 4*y, FUN='-')
contour(x, y, z, main='2x-4y', xlim=c(x_min, x_max), ylim=c(y_min, y_max))
abline(v=0, col='gray') ## draw in the X-Y axis
abline(h=0, col='gray')
grid()

x = seq(x_min, x_max, length.out=n)
y = seq(y_min, y_max, length.out=n)
z = outer(x^2, y^2, FUN='+')
contour(x, y, z, main='x^2+y^2', xlim=c(x_min, x_max), ylim=c(y_min, y_max))
abline(v=0, col='gray') ## draw in the X-Y axis
abline(h=0, col='gray')
grid()

par(op)

##dev.off()


##postscript('../../WriteUp/Graphics/Chapter2/sect_4_prob_2_4_to_5.eps', onefile=FALSE, horizontal=FALSE)

x_min = -5
x_max = +5

y_min = -5
y_max = +5

n = 10

op = par(mfrow=c(1, 2))

x = seq(x_min, x_max, length.out=n)
y = seq(y_min, y_max, length.out=n)
z = outer(x, y, FUN='/')
contour(x, y, z, nlevels=20, main='x/y', xlim=c(x_min, x_max), ylim=c(y_min, y_max))
abline(v=0, col='gray') ## draw in the X-Y axis
abline(h=0, col='gray')
grid()

x = seq(x_min, x_max, length.out=n)
y = seq(y_min, y_max, length.out=n)
z = outer(x, y^2, FUN='/')
contour(x, y, z, nlevels=20, main='x/y^2', xlim=c(x_min, x_max), ylim=c(y_min, y_max))
abline(v=0, col='gray') ## draw in the X-Y axis
abline(h=0, col='gray')
grid()

par(op)

##dev.off()

