m = 0.75
X_B = 1.5
k = 1.5
c = 0.1
X_E = 1.0
Y_E = 3.75

## Lets see what solutions linear equations give:
##
X_0 = 0.5
Y_0 = 1.875
xi_nm1 = X_0 - X_E
eta_nm1 = Y_0 - Y_E
n = 0
print(sprintf('n= %d; xi_n= %8.4f; eta_n= %8.4f; X_n= %8.4f; Y_n= %8.4f', n, xi_nm1, eta_nm1, X_E+xi_nm1, Y_E+eta_nm1))
for(n in 1:4){
    xi_n = (1-m*X_E)*xi_nm1 - c*X_E*eta_nm1
    eta_n = (Y_E/X_E)*xi_nm1 + eta_nm1
    print(sprintf('n= %d; xi_n= %8.4f; eta_n= %8.4f; X_n= %8.4f; Y_n= %8.4f', n, xi_n, eta_n, X_E+xi_n, Y_E+eta_n))
    xi_nm1 = xi_n
    eta_nm1 = eta_n
}
