n = 2
m = 2*n
eps = 1/6

print('Theoretical computation of L_4=')
L_4 = 1/3 + eps/3
print(L_4)

## These seem to be the adjustements given in the book in Figure 4.8 (b):
##
x_1 = 1/3
first_two_points = c(x_1 - eps/2, x_1 + eps/2) - eps/2 + eps/3

x_2 = 2/3
second_two_points = c(x_2 - eps/2, x_2 + eps/2) - eps/2 + 2*eps/3

xs = c(first_two_points, second_two_points)
print('Sample points xs=')
print(xs)

print('Empirical computation of L_4=')
print(max(c(xs[2]-0, xs[3]-xs[1], xs[4]-xs[2], 1.0-xs[m-1])))
