print('')
print('Part (a):')
n = 4
m = 2*n
eps = 0.02

print('Theoretical computation of L_8=')
L_8 = (1+eps)/(n+1)
print(L_8)

## Place the points xs in epsilon pairs around the points j/(n+1):
##
centers = seq(1, n)/(n+1)
chis = c()
for( ci in seq(1, n) ){
    a_center = centers[ci]
    this_pair = c(a_center - eps/2, a_center + eps/2) ## an epsilon pair
    chis = c(chis, this_pair - eps/2 + ci*eps/(n+1))
}

xs = 2 + chis
print('Sample points xs=')
print(xs)
print('Empirical computation of L_8 for xs=')
print(max(c(xs[2]-2.0, diff(xs, 2), 3.0-xs[m-1])))

print('')
print('Part (b):')
n = 4
m = 2*n+1

print('Theoretical computation of L_9=')
L_9 = 1/(n+1)
print(L_9)

xs = 2 + seq(1, 2*n+1)/(2*n+2)
print('Sample points xs=')
print(xs)

print('Empirical computation of L_9 for xs=')
print(max(c(xs[2]-2.0, diff(xs, 2), 3.0-xs[m-1])))
#
