source('utils.R')

opt_fn = function(x){
    -2*x^2 + 3*x + 1
}

## Show this function:
##
xs = seq(0, 1, length.out=100)
ys = sapply(xs, opt_fn)
plot(xs, ys, type='l')
abline(v=0.75, col='green')
grid()

print('Trisection search:')
trisection_search(0, 1, opt_fn)

print('Golden section search:')
golden_section_search(0, 1, opt_fn)
