source('utils.R')

opt_fn = function(x){
    2*(1-x)*sqrt(x)
}

print('Trisection search:')
CI = trisection_search(0, 1, opt_fn)

print('Golden section search:')
CI = golden_section_search(0, 1, opt_fn)

## Show this function:
##
xs = seq(0, 1, length.out=100)
ys = sapply(xs, opt_fn)
plot(xs, ys, type='l')
abline(v=mean(CI), col='green')
grid()
