##postscript('../../WriteUp/Graphics/Chapter2/sect_4_prob_5.eps', onefile=FALSE, horizontal=FALSE)

x_min = -20
x_max = +400

y_min = -20
y_max = +200

plot(1, type='n', xlab='r', ylab='s', xlim=c(x_min, x_max), ylim=c(y_min, y_max))
abline(v=0, col='black') ## draw in the X-Y axis
abline(h=0, col='black')
abline(a=30/0.6, b=-0.03/0.6, col='green')
abline(a=25/0.25, b=-0.125/0.25, col='blue')
abline(a=20/0.05, b=-0.4/0.05, col='red')

## Find the intersection of the red and blue lines:
##
A = matrix(c(0.4, 0.05, 0.125, 0.25), nrow=2, ncol=2, byrow=T)
b = c(20, 25)
upper_corner = solve(A, b)
print(upper_corner)

## Find the intersection of the blue and green lines:
##
A = matrix(c(0.125, 0.25, 0.03, 0.6), nrow=2, ncol=2, byrow=T)
b = c(25, 30)
lower_corner = solve(A, b)
print(lower_corner)

s_upper_left = 220
r_lower_right = 440
x = c(20/0.4 - 0.05*s_upper_left/0.4, upper_corner[1], lower_corner[1], r_lower_right, r_lower_right)
y = c(s_upper_left, upper_corner[2], lower_corner[2], 30/0.60 - 0.03*r_lower_right/0.6, s_upper_left)
polygon(x, y, col='gray')

points(40, 80, col='black', pch=19)

## Plot level sets of c(r, s):
##
k0 = 40000; abline(a=k0/200, b=-250/200, col='black')
##k0 = 26000; abline(a=k0/200, b=-250/200, col='gold') ## <- the optimal minimal cost
grid()

##dev.off()
