##postscript('../../WriteUp/Graphics/Chapter2/sect_4_prob_6.eps', onefile=FALSE, horizontal=FALSE)

x_min = -2.5
x_max = +10

y_min = -2.5
y_max = +10

plot(1, type='n', xlab='d', ylab='s', xlim=c(x_min, x_max), ylim=c(y_min, y_max))
abline(v=0, col='black') ## draw in the X-Y axis
abline(h=0, col='black')
abline(a=10, b=-1, col='gray')
abline(a=80/20, b=-50/20, col='green')
abline(a=112/40, b=-18/40, col='blue')
abline(a=40/15, b=-10/15, col='red')

## Find the intersection of the green and blue lines:
##
A = matrix(c(50, 20, 18, 40), nrow=2, ncol=2, byrow=T)
b = c(80, 112)
corner = solve(A, b)
print(corner)

x = c(0, 0, corner[1], 112/18, 10)
y = c(10, 4, corner[2], 0, 0)
polygon(x, y, col='gray')

points(1, 3, col='black', pch=19)

## Plot level sets of c(s, d):
##
k0 = 16; abline(a=k0/2.5, b=-2/2.5, col='black')
k0 = 2.5*corner[2] + 2*corner[1]
print(sprintf('optimal cost= %.6f', k0))
##abline(a=k0/2.5, b=-2/2.5, col='gold') ## <- the optimal minimal cost

corner = c(1, 3) ## <- integer solution
k0 = 2.5*corner[2] + 2*corner[1]
print(sprintf('optimal cost (integer)= %.6f', k0))
##abline(a=k0/2.5, b=-2/2.5, col='yellow') ## <- the optimal minimal cost restricted to be an integer

grid()

##dev.off()
