if( T ){
    ##postscript('../../WriteUp/Graphics/Chapter2/sect_4_prob_7_i.eps', onefile=FALSE, horizontal=FALSE)

    x_min = -1
    x_max = +3.5

    y_min = -0.5
    y_max = +5

    plot(1, type='n', xlab='x', ylab='y', xlim=c(x_min, x_max), ylim=c(y_min, y_max))
    abline(v=0, col='black') ## draw in the X-Y axis
    abline(h=0, col='black')
    abline(a=1, b=1, col='red')

    xs = seq(x_min, x_max, length.out=100)
    ys = xs^2 - 2*xs + 1
    lines(xs, ys,'l', col='green')
    
    ## Plot level sets of f(x, y) = x + y:
    ##
    k0 = 2; abline(a=k0, b=-1, col='black')

    grid()

    title(sprintf('Level sets for x+y. Example is x+y=%.0f', k0))
    
    ##dev.off()
}


if( T ){
    ##postscript('../../WriteUp/Graphics/Chapter2/sect_4_prob_7_ii.eps', onefile=FALSE, horizontal=FALSE)

    x_min = -1
    x_max = +3.5

    y_min = -0.5
    y_max = +5

    plot(1, type='n', xlab='x', ylab='y', xlim=c(x_min, x_max), ylim=c(y_min, y_max))
    abline(v=0, col='black') ## draw in the X-Y axis
    abline(h=0, col='black')
    abline(a=1, b=1, col='red')

    xs = seq(x_min, x_max, length.out=100)
    ys = xs^2 - 2*xs + 1
    lines(xs, ys, 'l', col='green')

    ## Plot level sets of f(x, y) = -y:
    ##
    k0 = -1.75; abline(v=-k0, col='black')

    grid()
    
    title(sprintf('Level sets for -y. Example is -y=%.2f', k0))

    ##dev.off()
}
