##postscript('../../WriteUp/Graphics/Chapter2/sect_4_prob_9.eps', onefile=FALSE, horizontal=FALSE)

R = 5

x_min = 0
x_max = +R+0.5

y_min = 0
y_max = +R+1

plot(1, type='n', xlab='x', ylab='y', xlim=c(x_min, x_max), ylim=c(y_min, y_max))
abline(v=0, col='black') ## draw in the X-Y axis
abline(h=0, col='black')
abline(a=0, b=4, col='red')

xs = seq(-R, +R, length.out=100)
y_upper = sqrt(R^2 - xs^2)
lines(xs, y_upper, 'l', col='green')

## Plot the location of the optimal point as a dot:
##
x_star = 5/sqrt(17)
y_star = 20/sqrt(17)
points(x_star, y_star, col='black', pch=19)

## Plot level sets of f(x, y) = 2x + 2y:
##
k0 = 8; abline(a=k0/2, b=-1/2, col='black')

grid()

##dev.off()
