my_r = function(x){
    -(x^2 - 21*x + 20)/(8*x)
}

x_min = +1
x_max = +21

##postscript('../../WriteUp/Graphics/Chapter3/sect_3_prob_3.eps', onefile=FALSE, horizontal=FALSE)
xs = seq(x_min, x_max, length.out=100)
rs = sapply(xs, my_r)

plot(xs, rs, type='l', xlab='X', ylab='R', xlim=c(x_min, x_max))
abline(h=1, col='red')
abline(h=0, col='black')

## Equilibrium values:
##
ev = polyroot(c(20, -13, 1))
print(Re(ev))
      
abline(v=Re(ev[1]), col='blue')
abline(v=Re(ev[2]), col='blue')

grid()
title('Problem 3: R=R(X)')

##dev.off()
