X_B = 1.0
X_0 = 1.02

x_0 = X_0 - X_B

m = 1/10
alpha = 1 - m*X_B
print(sprintf('alpha= %f', alpha))

xns = c(x_0)
xis = c(x_0)
errors = c(0.)
m = 5
for(n in 1:m){
    xns = c(xns, alpha*xns[n] - m*xns[n]^2) ## Eq. 6
    xis = c(xis, alpha*xis[n]) ## Eq. 7
    errors = c(errors, xis[length(xis)]-xns[length(xns)])
}
df = data.frame(n=seq(0, m), x_n=xns, xi_n=xis, error_n=errors)
print(round(df, 4))

eps = xns[1]^2 ## should be 0.0004
err_bound = m*eps/(1-abs(alpha))
print(sprintf('eps= %f; err_bound= %f', eps, err_bound))
