X_B = 1.0
m = 1.1
N = 0.05
X_0 = X_B

x_0 = X_0 - X_B

alpha = 1 - m*X_B
print(sprintf('alpha= %f', alpha))

## Part (a):
##
xns = c(x_0)
xis = c(x_0)
errors = c(0.)
m = 10
for(n in 1:m){
    xns = c(xns, alpha*xns[n] - m*xns[n]^2 - N) ## Eq. 12
    xis = c(xis, alpha*xis[n] - N) ## Eq. 13
    errors = c(errors, xis[length(xis)]-xns[length(xns)])
}
df = data.frame(n=seq(0, m), x_n=xns, xi_n=xis, error_n=errors)
print(round(df, 4))

## Part (b):
##
eps = max(xns[1:5]^2)
err_bound = m*eps/(1-abs(alpha))
print(sprintf('eps= %f; err_bound= %f', eps, err_bound))

## Part (c):
##
X_s = X_B - N/(m*X_B)
print(sprintf('X_s= %f; (X_B + last_xis)= %f', X_S, X_B + xis[length(xis)]))
