save_plots = FALSE

if( save_plots ){
    postscript('../../WriteUp/Graphics/Chapter4/sect_1_prob_2_plot.eps', onefile=FALSE, horizontal=FALSE)
}

xs = seq(0, 1, length.out=100)

par(mfrow=c(2, 2))

## Part (a):
##
y_a = xs * ( 1 - xs )
plot(xs, y_a, type='l', xlab='x', ylab='y_a')
grid()

## Part (b):
##
y_b = xs^2
plot(xs, y_b, type='l', xlab='x', ylab='y_b')
grid()

## Part (c):
##
mask = xs <= 0.5
y = 2*xs[mask]
plot(xs[mask], y, type='l', xlim=c(0, 1), xlab='x', ylab='y_c')
mask = xs > 0.5
y = 1 - xs[mask]
lines(xs[mask], y, type='l', xlab='x', ylab='y_c')
points(1/2, 1, pch=19)
points(1/2, 1/2, pch=21)
grid()

## Part (d):
##
mask = xs <= 0.5
y = 2*xs[mask]
plot(xs[mask], y, type='l', xlim=c(0, 1), xlab='x', ylab='y_d')
mask = xs > 0.5
y = rep(0, sum(mask))
lines(xs[mask], y, type='l', xlab='x', ylab='y_d')
points(1/2, 1, pch=19)
points(1/2, 0, pch=21)
grid()

if( save_plots ){
    dev.off()
}
